FastaAlignmentFormat (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.FastaAlignmentFormat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io
Class FastaAlignmentFormat

    java.lang.Object
      org.biojava.bio.seq.io.FastaAlignmentFormat

All Implemented Interfaces:
  AlignmentFormat

    public class FastaAlignmentFormat

extends Object
implements AlignmentFormat

This class implements the AlignmentFormat interface to read FASTA alignments. It is modeled after the MSFAlignmentFormat class.

Author:
  Nimesh Singh

Field Summary
`static int` | `DNA`
`static int` | `PROTEIN`

Constructor Summary
`FastaAlignmentFormat()`

Method Summary
`Alignment` | `read(BufferedReader br)` Reads an alignment in FASTA format.
`void` | `write(OutputStream os, Alignment align, int fileType)` Writes out the alignment to an FASTA file.
`void` | `writeDna(OutputStream os, Alignment align)`
`void` | `writeProtein(OutputStream os, Alignment align)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DNA

    public static final int DNA

See Also:
  Constant Field Values

### PROTEIN

    public static final int PROTEIN

See Also:
  Constant Field Values

Constructor Detail

### FastaAlignmentFormat

    public FastaAlignmentFormat()

Method Detail

### read

    public Alignment read(BufferedReader br)

  Reads an alignment in FASTA format.

  Specified by:
    `read` in interface `AlignmentFormat`
  Parameters:
    `br` - the reader from which to read in the alignment

### write

    public void write(OutputStream os,
                      Alignment align,
                      int fileType)
               throws BioException,
                      IllegalSymbolException

  Writes out the alignment to an FASTA file.

  Throws:
    `BioException`
    `IllegalSymbolException`

### writeDna

    public void writeDna(OutputStream os,
                         Alignment align)
                  throws BioException,
                         IllegalSymbolException

  Throws:
    `BioException`
    `IllegalSymbolException`

### writeProtein

    public void writeProtein(OutputStream os,
                             Alignment align)
                      throws BioException,
                             IllegalSymbolException

  Throws:
    `BioException`
    `IllegalSymbolException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD